package cn.iocoder.yudao.module.smartfactory.enums;

import cn.iocoder.yudao.framework.common.exception.ErrorCode;

/**
 * 功能描述
 *
 * @author: yj
 * @date: 2024年01月17日 10:26
 */
public interface ErrorCodeConstants {
    ErrorCode FACTORY_INFO_NOT_EXISTS = new ErrorCode(1_000_000_001, "工厂信息不存在");

    ErrorCode CAMERA_DEVICE_NOT_EXISTS = new ErrorCode(1_000_000_002, "监控摄像头不存在");

    ErrorCode FACTOYRY_EXISTS_STAFF = new ErrorCode(1_000_000_003, "工厂下存在员工，不能删除工厂");

    ErrorCode SIZE_NOT_EXISTS = new ErrorCode(1_000_000_004, "规格不存在");

    //打包线模块
    ErrorCode PACKAGE_NOT_EXISTS = new ErrorCode(1_000_001_001, "打包线信息不存在");
    ErrorCode PACKAGE_DATA_EXISTS = new ErrorCode(1_000_001_001, "当前日期的数据已存在");

    //出入库数据模块
    ErrorCode SIZEDATA_NOT_EXISTS = new ErrorCode(1_000_002_001, "不能操作非当天录入得数据");

}
